/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-05-08
 * 描述            ：标准配置表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Pms.Bs.vo;
import java.io.Serializable;
import java.util.Date;

import market.Pms.Bs.mapper.PurBsStandardsMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="PUR_BS_STANDARDS", namespace=PurBsStandardsMapper.class)
public class PurBsStandards extends BaseVO implements Serializable {
	 
	/**
	 * 
	 */
	private static final long serialVersionUID = 315534943901901275L;
	/** 
	 * 标准代码
	 */ 
	@Id
	private String standards_code;
	public String getStandards_code() {
		return this.standards_code;
	}
	public void setStandards_code(String standards_code) {
		this.standards_code = standards_code;
	}

	/** 
	 * 标准号
	 */ 
	@Column
	private String standards_name;
	public String getStandards_name() {
		return this.standards_name;
	}
	public void setStandards_name(String standards_name) {
		this.standards_name = standards_name;
	}

	/** 
	 * 标准编号描述
	 */ 
	@Column
	private String standards_desc;
	public String getStandards_desc() {
		return this.standards_desc;
	}
	public void setStandards_desc(String standards_desc) {
		this.standards_desc = standards_desc;
	}

	/** 
	 * 数据状态（1有效、0无效）
	 */ 
	@Column
	private String validflag;
	public String getValidflag() {
		return this.validflag;
	}
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	/** 
	 * 创建人ID
	 */ 
	@Column
	private String create_userid;
	public String getCreate_userid() {
		return this.create_userid;
	}
	public void setCreate_userid(String create_userid) {
		this.create_userid = create_userid;
	}

	/** 
	 * 创建人
	 */ 
	@Column
	private String create_name;
	public String getCreate_name() {
		return this.create_name;
	}
	public void setCreate_name(String create_name) {
		this.create_name = create_name;
	}

	/** 
	 * 创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人ID
	 */ 
	@Column
	private String update_userid;
	public String getUpdate_userid() {
		return this.update_userid;
	}
	public void setUpdate_userid(String update_userid) {
		this.update_userid = update_userid;
	}

	/** 
	 * 修改人
	 */ 
	@Column
	private String update_name;
	public String getUpdate_name() {
		return this.update_name;
	}
	public void setUpdate_name(String update_name) {
		this.update_name = update_name;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	/** 
	 * 废除人ID
	 */ 
	@Column
	private String delete_userid;
	public String getDelete_userid() {
		return this.delete_userid;
	}
	public void setDelete_userid(String delete_userid) {
		this.delete_userid = delete_userid;
	}

	/** 
	 * 废除人
	 */ 
	@Column
	private String delete_name;
	public String getDelete_name() {
		return this.delete_name;
	}
	public void setDelete_name(String delete_name) {
		this.delete_name = delete_name;
	}

	/** 
	 * 废除时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date delete_time;
	public Date getDelete_time() {
		return this.delete_time;
	}
	public void setDelete_time(Date delete_time) {
		this.delete_time = delete_time;
	}

}
